Subject: Re: (old)bug#20255: 'search-paths' should respect both user and system profiles

From: Alex Kost <[email-masked]>
Date: Fri, 21 Feb 2020 20:18:52 +0300

zimoun (2020-02-21 16:53 +0100) wrote:

> Dear,
>
> What is the status of the bug#20255 [1]?
> It is old; the last activity seems back on 2015, November. So let resume.
>
> The issue is, e.g.:
>  - perl installed into the system profile
>  - perl-xml-parser installed into an user profile
> Then "guix package --search-paths" does not set correctly XML::Parser.
>
>
> Fixes had been pushed: dedb17a and b2a7223 and cc3de1d.
>
> The final fix is still missing. Because it is a controversial patch
> [2] :-) i.e., running 'guix' in '/etc/profile'; see these lines of the
> patch:
>
> +  eval `/run/current-system/profile/bin/guix package \\
> +          -p /run/current-system/profile             \\
> +          -p \"$HOME/.guix-profile\" --search-paths`
>
>
> The friendly "protest" [3] is about turning these lines optional via
> an environment variable. I am not sure to follow where the discussion
> had been going then.

As for me, I am OK with any default setting as long as there is a way to
change it.  I recall Ludovic proposed a patch that allowed to customize
"/etc/profile" and I was happy about it, but he changed his mind on that
patch so it was never committed.

-- 
Alex